liuyg
2021-07-02 25ce610f6ecca7325e7a743dc032c4a76559c63d
widgets/Tool/css/style.css
@@ -1,30 +1,38 @@
.jimu-widget-Tool {
  position     : relative;
  font-size    : 14px;
  height       : 32px;
  line-height  : 32px;
  width        : 100%;
  position: relative;
  font-size: 14px;
  height: 36px;
  width: 100%;
  /* 240px */
  background   : rgba(44, 46, 46, 0.7);
  color        : #fff;
  border-right : 1px solid #000;
  border-radius: 6px 0 0 6px;
  text-align   : center;
  cursor       : pointer;
  z-index      : 10 !important;
  background: rgb(254, 254, 254);
  color: #838383;
  /* border-radius: 6px 0 0 6px; */
  text-align: center;
  cursor: pointer;
  z-index: 14 !important
}
.jimu-widget-Tool .tool-bar {
  width: 100%;
  height: 24px;
  line-height: 24px;
  margin-top: 6px;
  border-right: 1px solid #DDDDDD;
}
.jimu-widget-Tool .tool-bar .tool-btn {
  display: flex;
  align-items: center;
  justify-content: center;
}
.jimu-widget-Tool .tool-bar .tool-btn i {
  display        : inline-block;
  width          : 16px;
  height         : 16px;
  background     : url(../../../images/toolback.png) no-repeat;
  background-size: 16px;
  vertical-align : middle;
  width: 14px;
  height: 14px;
  margin-right: 4px;
  background: url(../../../images/工具.png) no-repeat;
  background-size: 100% 100%;
  vertical-align: middle;
}
.jimu-widget-Tool .tool-bar .tool-btn span:hover {
@@ -32,87 +40,108 @@
}
.jimu-widget-Tool .tool-bar .tool-btn del {
  display          : inline-block;
  width            : 10px;
  height           : 6px;
  background       : url(../../../images/toolbottom.png) no-repeat;
  background-size  : 10px 6px;
  margin-left: 4px;
  width: 10px;
  height: 6px;
  background: url(../../../images/展开.png) no-repeat;
  background-size: 10px 6px;
  /* vertical-align: / */
}
.jimu-widget-Tool .tool-bar .tool-y-box {
  display  : none;
  position : absolute;
  top      : 36px;
  right    : 0;
  width    : 110px;
  display: none;
  position: absolute;
  top: 40px;
  right: 0px;
  width: 100px;
  /* height: 505px; */
  height   : 38px;
  height: 38px;
}
.jimu-widget-Tool .tool-bar .tool-y-box ul,
.jimu-widget-Tool .tool-bar .tool-y-box li {
  margin : 0;
  margin: 0;
  padding: 0;
}
.jimu-widget-Tool .tool-bar .tool-y-box ul {
  height: 100%;
  border-radius: 5px;
  height: auto;
  box-shadow: 0px 0px 2px 1px #E5E5E5;
}
.jimu-widget-Tool .tool-bar .tool-y-box li {
  list-style : none;
  margin     : 0px 4px;
  height     : 34px;
  line-height: 34px;
  width      : 102px;
  background : rgba(95, 94, 94, .7);
  list-style: none;
  height: 36px;
  line-height: 36px;
  background: #FEFEFE;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:hover {
  background: rgb(5, 42, 90);
  color: #fff;
  background: #3F9CFC;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:hover i {
  filter: grayscale(100%) brightness(200%);
}
.jimu-widget-Tool .tool-bar .tool-y-box li i {
  margin-top     : -2px;
  display        : inline-block;
  width          : 16px;
  height         : 16px;
  background-size: 100%;
  vertical-align : middle;
  margin-top: -2px;
  display: inline-block;
  width: 16px;
  height: 16px;
  vertical-align: middle;
  background-size: 100% 100% !important;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(1) {
  border-radius: 5px 5px 0 0;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(1) i {
  background: url(../../../images/toolbox.png ) no-repeat 0 0;
  background: url(../../../images/图上测量.png ) no-repeat;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(2) i {
  background: url(../../../images/toolbox.png ) no-repeat 0 -141px;
  background: url(../../../images/卷帘对比.png ) no-repeat;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(3) i {
  background: url(../../../images/toolbox.png ) no-repeat 0 -63px;
  background: url(../../../images/分屏对比.png ) no-repeat;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(4) i {
  background: url(../../../images/toolbox.png ) no-repeat 0 -110px;
  background: url(../../../images/我的标记.png ) no-repeat;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(5) i {
  background: url(../../../images/toolbox.png ) no-repeat 0 -32px;
  background: url(../../../images/坐标定位.png ) no-repeat;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(6) i {
  background: url(../../../images/toolbox.png ) no-repeat 0 -32px;
  background: url(../../../images/场景快照.png ) no-repeat;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(7) i {
  background: url(../../../images/toolbox.png ) no-repeat 0 -173px;
  background: url(../../../images/可视分析.png ) no-repeat;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(8) i {
  background: url(../../../images/toolbox.png ) no-repeat 0 -159px;
  background: url(../../../images/剖面分析.png ) no-repeat;
}
.jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(9) i {
  background: url(../../../images/坡度坡向.png ) no-repeat;
}
/* .jimu-widget-Tool .tool-bar .tool-y-box li:nth-child(9) i {
  background: url(../../../images/toolbox1.png ) no-repeat 0 -156px;
} */
.jimu-widget-Tool .tool-bar .tool-y-box li:last-child {
  border-radius: 0 0 5px 5px;
}